cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}import requests
url = "https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"issue_id": "<string>",
"trigger_type": "alert",
"strategy": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"alert_firing_id": "<string>",
"model_name": "<string>",
"model_provider": "<string>",
"error_message": "<string>",
"tokens_used": 123,
"duration_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Alerts
Get apiv1alertsfixes 1
Get fix run by ID
GET
/
api
/
v1
/
alerts
/
fixes
/
{fixId}
cURL
Path Parameters
Response
The request has succeeded.
AI-assisted fix attempt
Fix run ID
Target issue
What triggered the fix
Available options:
alert, manual, mcp, scheduled Fix strategy
Fix run status
Available options:
pending, running, awaiting_approval, applied, rejected, failed Creation timestamp
Triggering alert firing
AI model used
AI provider
Error message if failed
Tokens consumed
Duration in milliseconds
Start timestamp
Completion timestamp
Was this page helpful?
